<?php



require_once GREEN_ZONE_DIR . 'Utils/GZ_Exception.php';
require_once GREEN_ZONE_DIR . 'Utils/OCIDB.php';



class HashQuery
{
  // PUBLIC
      
  public function __construct()
  {
    $this->email = null;
    $this->hash = null;
    $this->user_id = null;
    $this->db = null;
  }
  
  public function SetEmail( $s_email ) { $this->email = $s_email; }
  
  public function SetDB( $s_db ) { $this->db = $s_db }
  
  public function GetHash() { return $this->hash; }
  
  public function GetUserID() { return $this->user_id; }
  
  public function Execute() { $this->priv_Execute(); }
  
  // PRIVATE
      
  private $email;
  private $hash;
  private $user_id;
  private $db;
  
  private function priv_Execute()
  {
    if( $this->db == null )
      throw new GZ_Exception( 'OCI database connection not set', 'HashQuery::priv_Execute' );
    
    if( $this->email == null )
      throw new GZ_Exception( 'Email not set ', 'HashQuery::priv_Execute' );
    
    $sql = '  SELECT hash,a.id as id ';
    $sql .= ' FROM opalprod.password p, opalprod.atuser a ';
    $sql .= ' WHERE a.id = p.userid ';
    $sql .= ' AND lower(a.email)="' . $this->email . '"';
    
    $this->db->DoQuery( $sql );
    
    $this->db->EnsureNumRows( 'equals', 1 );
    
    $only_row = $this->db->FetchRowAsArray();
    
    $this->user_id = $only_row['id'];
    $this->hash = $only_row['hash'];
    /*
    $query = oci_parse( $this->db, $sql );
    
    if( $query === false )
      throw new GZ_Exception( 'Unable to create password query', 'HashQuery::priv_Execute' );
    
    if( oci_execute( $query, OCI_DEFAULT ) === false )
      throw new GZ_Exception( 'Opal login query failed!', 'HashQuery::priv_Execute' );
	
    $row = oci_fetch_array( $query, OCI_RETURN_NULLS );
    if( $row )
    {
      $this->hash = $row['hash'];
      $this->user_id = $row['id'];
    }*/
  }
};

?>